// NSDemo1.java

import java.util.*;
    
public class NSDemo1
{
   public static void main (String [] args)
   {
      // Create a NavigableSet.

      NavigableSet<String> ns = new TreeSet<String> ();

      // Populate the NavigableSet.

      String [] planets =
      {
         "Mercury",
         "Venus",
         "Earth",
         "Mars",
         "Jupiter",
         "Saturn",
         "Uranus",
         "Neptune"
      };

      for (String planet: planets)
           ns.add (planet);

      // View the elements in ascending order.

      System.out.println ("Ascending order view");
      System.out.println ();

      Iterator iter = ns.iterator ();
      while (iter.hasNext ())
         System.out.println (iter.next ());

      System.out.println ();

      // View the elements in descending order.

      System.out.println ("Descending order view");
      System.out.println ();

      iter = ns.descendingIterator ();
      while (iter.hasNext ())
         System.out.println (iter.next ());
   }
}
